Page MenuHomePhabricator

Activating Microntracker crashes the build process
Closed, WontfixPublic

Description

When activating the MicronTracker in cmake, there is an error.

CMake Error at CMake/mitkFunctionAddExternalProject.cmake:38 (cmake_parse_arguments):

Unknown CMake command "cmake_parse_arguments".

Call Stack (most recent call first):

CMakeLists.txt:258 (mitkFunctionAddExternalProject)

Also see attached screenshot for details.

System configuration:

  • Windows 7 32 system,
  • VS 2013 Qt 5.5.1
  • 32 bit build
  • NavigationModules build configuration + MicronTracker activated

Event Timeline

franza added a subscriber: franza.

Screenshot of Cmake configuration + error

milano added a subscriber: milano.Mar 18 2016, 8:16 PM

This is also happening when compiling in Ubuntu x86_64, even with the MicronTracker deactivated. I'm using cmake 3.5.

After restarting the PC and running cmake a second time everything worked fine at my place. We need to check how we can reproduce this bug.

might be a general configure problem. Running cmake a second time fixes the problem in most cases. Any ideas for the reason of this bug?

kislinsk edited projects, added MITK (2016-03); removed MITK.Aug 1 2016, 10:49 PM
kislinsk moved this task from Backlog to IGT on the MITK (2016-11) board.Oct 28 2016, 9:58 AM
kislinsk edited projects, added MITK; removed MITK (2016-11).Feb 6 2017, 11:23 AM
kislinsk closed this task as Wontfix.May 26 2020, 11:16 AM
kislinsk claimed this task.
kislinsk added a project: Auto-closed.
kislinsk added a subscriber: kislinsk.

Hi there! 🙂

This task was auto-closed according to our Task Lifecycle Management.
Please follow this link for more information and don't forget that you are encouraged to reasonable re-open tasks to revive them. 🚑

Best wishes,
The MITK devs

kislinsk removed kislinsk as the assignee of this task.May 26 2020, 12:05 PM
kislinsk removed a subscriber: kislinsk.